using System;
using System.Collections.Generic;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface ISponsorService
    {
        Task<PageOutput<SponsorDTO>> GetSponsorList(SponsorQueryDTO queryParam);
         Task<IEnumerable<SponsorSelectDTO>> GetAllSponsorList();
         Task<IResponseOutput> AddOrUpdateSponsor(SponsorCommand model);
         Task<IResponseOutput> DeleteSponsor(Guid sponsorId);
    }
}